#!/bin/bash
#
# file: prepare-entry.sh
#
# This script shows how to run the example code (setup.sh and next.sh)
# over the validation set, in order to produce the list of expected
# answers (answers.txt) which must be submitted as part of your entry.
# This script itself does not need to be included in your entry.

set -e
set -o pipefail

echo "==== running setup script ===="

./setup.sh

echo "==== running entry script on validation set ===="

        echo "e00603"
        ln -sf validation/e00603.wav .
        perf stat -e instructions:u ./next.sh e00603